http_throttle 1.0.0

  • README.md
  • Installing
  • Versions
  • --

http_throttle is middleware for the http package that throttles the number of concurrent requests that an HTTP client can make.

// This client allows 32 concurrent requests.
final client = new ThrottleClient(32);

Future<List<String>> readAllUrls(Iterable<Uri> urls) {
  return Future.wait(urls.map((url) {
    // You can safely call as many client methods as you want concurrently, and
    // ThrottleClient will ensure that only 32 underlying HTTP requests will be
    // open at once.
    return client.read(url);
  }));
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  http_throttle: "^1.0.0"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:http_throttle/http_throttle.dart';
  
Version Uploaded Documentation Archive
1.0.2 May 19, 2018 Go to the documentation of http_throttle 1.0.2 Download http_throttle 1.0.2 archive
1.0.1 Jun 2, 2017 Go to the documentation of http_throttle 1.0.1 Download http_throttle 1.0.1 archive
1.0.0 Jan 15, 2015 Go to the documentation of http_throttle 1.0.0 Download http_throttle 1.0.0 archive

Analysis

This package version is not analyzed, because it is more than two years old. Check the latest stable version for its analysis.